## foundationdb.conf
##
## Configuration file for FoundationDB server processes
## Full documentation is available at
## https://apple.github.io/foundationdb/configuration.html#the-configuration-file

[fdbmonitor]
user = %%FOUNDATIONDB_USER%%
group = %%FOUNDATIONDB_GROUP%%

[general]
restart-delay = 60
## by default, restart-backoff = restart-delay-reset-interval = restart-delay
# initial-restart-delay = 0
# restart-backoff = 60
# restart-delay-reset-interval = 60
cluster-file = %%ETCDIR%%/fdb.cluster
# delete-envvars =
# kill-on-configuration-change = true

## Default parameters for individual fdbserver processes
[fdbserver]
command = %%PREFIX%%/sbin/fdbserver
public-address = auto:$ID
listen-address = public
datadir = %%FOUNDATIONDB_DBDIR%%/data/$ID
logdir = %%FOUNDATIONDB_LOGDIR%%
# logsize = 10MiB
# maxlogssize = 100MiB
# machine-id =
# datacenter-id =
# class = 
# memory = 8GiB
# storage-memory = 1GiB
# cache-memory = 2GiB
# metrics-cluster =
# metrics-prefix =

## An individual fdbserver process with id 4500
## Parameters set here override defaults from the [fdbserver] section
[fdbserver.4500]

[backup_agent]
command = %%PREFIX%%/lib/foundationdb/backup_agent/backup_agent
logdir = %%FOUNDATIONDB_LOGDIR%%

[backup_agent.1]
